Subject: bug#25526: closed (Re: bug#25526: 26.0.50; Gnus sometimes doesn't show article header fully)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Apr 2018 23:21:02 +0000

Your bug report

#25526: 26.0.50; Gnus sometimes doesn't show article header fully

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25526: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25526
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25526: 26.0.50; Gnus sometimes doesn't show article header fully
From: Katsumi Yamaoka <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Apr 2018 08:19:38 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, 12 Apr 2018 13:19:32 +0200, Lars Ingebrigtsen wrote:
> Looks good to me; please apply to Emacs master.  :-)

Thanks.  Done.

Subject: 26.0.50; Gnus sometimes doesn't show article header fully
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Wed, 25 Jan 2017 17:09:51 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This is a very minor bug, but happens in a certain condition.
Here is a recipe:

・Find an artile that contains a Face image or shows a gravatar
  image.
・Scroll the article window so that the header is shown fully.
・Adjust the frame height so that the article window shows
  a single empty line just beneath the whole header.
・Type `g' to reselect the article.

Then you may see the header is shown not fully.  If not, try
the following in order to adjust the face height so as not to be
integral-multiplication of the default font height:

(setq gnus-face-properties-alist '((png :relief 2)))
(setq gnus-gravatar-properties '(:relief 2))

I was sometimes annoyed with this problem, but I have found
neither a cause of it nor a solution so far.  But this is a
workaround I found today:

(add-hook
 'gnus-article-prepare-hook
 (lambda ()
   (save-selected-window
     (select-window (get-buffer-window gnus-article-buffer))
     (goto-char (point-min)))))

Regards,